## winetricks 0.0%2b20160425

=== Makefile ===
# Makefile for winetricks - a script for working around common problems in wine
#
# Copyright (C) 2013 Dan Kegel.  See also copyright notice in src/winetricks.
#
# winetricks comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU Lesser Public License version 2.1, as published by the Free Software
# Foundation. Please see the file src/COPYING for details.
#
# Web Page: http://winetricks.org
#
# Maintainers:
# Dan Kegel <dank!kegel.com>, Austin English <austinenglish!gmail.com>

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644
SOURCES = Makefile src tests

version=$(shell grep '^WINETRICKS_VERSION' < src/winetricks | sed 's/.*=//')

PREFIX = /usr

all:
	@ echo "Nothing to compile. Use: check, clean, cleanup, dist, install"

# Editor backup files etc.
clean:
	find . -name "*[#~]" \
		-o -name "*.\#*" \
		-o -name "*.orig" \
		-o -name "*.porig" \
		-o -name "*.rej" \
		-o -name "*.log" \
		-o -name "*.out" \
		-o -name "*.verbs" \
	| xargs --no-run-if-empty rm
	rm -rf src/df-* src/measurements src/links.d

# Remove trailing whitespaces
cleanup:
	sed --in-place 's,[ \t]\+$$,,' $$(find $(SOURCES) -type f)

dist: clean $(SOURCES)
	tar --exclude='*.patch' --exclude=measurements --exclude=.svn \
		--exclude-backups \
		-czvf winetricks-$(version).tar.gz $(SOURCES)

install:
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL_PROGRAM) src/winetricks $(DESTDIR)$(PREFIX)/bin/winetricks
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
	$(INSTALL_DATA) src/winetricks.1 $(DESTDIR)$(PREFIX)/share/man/man1/winetricks.1

check:
	echo 'This verifies that most DLL verbs, plus flash, install ok.'
	echo 'It should take about an hour to run with a fast connection.'
	echo 'If you want to test a particular version of wine, do e.g.'
	echo 'export WINE=$$HOME/wine-git/wine first.'
	echo 'On 64 bit systems, you probably want export WINEARCH=win32.'
	echo 'Winetricks does not work completely in non-English locales.'
	echo ''
	echo 'Current Environment:'
	echo 'DISPLAY is currently "$(DISPLAY)".'
	echo 'LANG is currently "$(LANG)".'
	echo 'WINEARCH is currently "$(WINEARCH)".'
	echo 'WINE is currently "$(WINE)".'
	echo 'XAUTHORITY is currently "$(XAUTHORITY)".'
	echo ''
	echo 'If running this as part of debuild, you might need to use'
	echo 'debuild --preserve-envvar=LANG --preserve-envvar=WINE --preserve-envvar=WINEARCH --preserve-envvar=DISPLAY --preserve-envvar=XAUTHORITY'
	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
	echo ''
	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
	# Check all script dependencies before starting tests:
	echo "Checking dependencies.."
	sh ./src/linkcheck.sh check-deps || exit 1
	sh ./tests/winetricks-test check-deps || exit 1
	echo "Running tests"
	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test quick

test:
	echo 'This verifies that most DLL verbs, plus flash and dotnet, install ok.'
	echo 'It also makes sure that all URLs in winetricks work, so a fast uncapped internet connection is needed.'
	echo 'It should take about an hour to run with a fast connection.'
	echo 'If you want to test a particular version of wine, do e.g.'
	echo 'export WINE=$$HOME/wine-git/wine first.'
	echo 'On 64 bit systems, you probably want export WINEARCH=win32.'
	echo 'Winetricks does not work completely in non-English locales.'
	echo ''
	echo 'Current Environment:'
	echo 'DISPLAY is currently "$(DISPLAY)".'
	echo 'LANG is currently "$(LANG)".'
	echo 'WINEARCH is currently "$(WINEARCH)".'
	echo 'WINE is currently "$(WINE)".'
	echo 'XAUTHORITY is currently "$(XAUTHORITY)".'
	echo ''
	echo 'If running this as part of debuild, you might need to use'
	echo 'debuild --preserve-envvar=LANG --preserve-envvar=WINE --preserve-envvar=WINEARCH --preserve-envvar=DISPLAY --preserve-envvar=XAUTHORITY'
	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
	echo ''
	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
	# Check all script dependencies before starting tests:
	echo "Checking dependencies.."
	sh ./src/linkcheck.sh check-deps || exit 1
	sh ./tests/winetricks-test check-deps || exit 1
	echo "Running tests"
	rm -rf src/links.d; cd src; sh linkcheck.sh crawl
	echo 'And now, the one hour run check.'
	if test ! -z "$(XDG_CACHE_HOME)" ; then rm -rf $(XDG_CACHE_HOME)/winetricks ; else rm -rf $(HOME)/.cache/winetricks ; fi
	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test full

## winetricks 0.0~20110419+svn493

=== debian/changelog ===
winetricks (0.0~20110419+svn493-3) unstable; urgency=low

  * debian/copyright
    - (winetricks.svg): New.
  * debian/rules
    - (override_dh_auto_install): Add *.desktop and *.svg install.
  * debian/winetricks.{desktop,svg}
    - New files (thanks to Ubuntu maintainer Scott Ritchie
      <scott@open-vote.org>).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Apr 2011 16:50:01 +0300

winetricks (0.0~20110419+svn493-2) unstable; urgency=low

  * debian/control
    - Remove wine from (Depends); add wine to (Recommends) for users who
      prefer to build wine from source (see #595427).
    - Add tmancill@debian.org to Uploaders.

 -- tony mancill <tmancill@debian.org>  Wed, 20 Apr 2011 07:39:43 -0700

winetricks (0.0~20110419+svn493-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Description): Explain better what other packages may be needed.
    - (Depends): Add p7zip.
    - (Recommends): Add sudo.
    - (Standards): Update to 3.9.2.
  * debian/copyright
    - Update word "Lesser" to "Library" (see #595427).
  * debian/manpages
    - Update to upstream source.
  * debian/rules
    - (BIN): remove *-alpha. source binary has changed its name.
    - (man): No longer needed. Upstream contains manual page.
  * "debian/upstream.changelog
    - Update to current release.
  * debian/watch
    - Add URL.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 19 Apr 2011 19:32:33 +0300

winetricks (0.0~20110305+svn220-1) unstable; urgency=low

  * Initial release (Closes: #595427).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 09 Mar 2011 09:28:55 +0200

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/winetricks
Vcs-Git: git://git.debian.org/collab-maint/winetricks.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/winetricks.git;a=summary

Package: winetricks
Architecture: all
Depends: ${misc:Depends}, wget, cabextract, unzip, p7zip
Recommends: wine | wine-unstable, zenity | kdebase-bin, xdg-utils, sudo | gksu
Description: package manager for WINE to install software easily
 A POSIX shell script 'package manager' for WINE to install some
 Windows software easily. The list of downloadable applications is
 retrieved over the net. The list contains about 70 applications
 including 3dmark2001, corefonts, cygwin, directx9, dotnet35, droid,
 firefox, flash, ie8, mspaint, msxml6, python26, quicktime76, safari,
 spotify, utorrent, vb6run, vcrun2010, vlc and xvid.
 .
 To use GUI progress bar, install package "zenity". To read manuals,
 install package "xdg-utils". If you need to cache *.iso files with
 -k option, install packages "sudo" (or sudo GUI "gksu").

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= winetricks
BIN		= src/$(PACKAGE)

PKGDIR          = $(shell pwd)/debian/$(PACKAGE)
BINDIR          = $(PKGDIR)/usr/bin
SHAREROOTDIR	= $(PKGDIR)/usr/share
SHAREDIR        = $(SHAREROOTDIR)/$(PACKAGE)

CHANGELOG	= debian/upstream.changelog
URL		= http://winetricks.googlecode.com/svn/trunk

include debian/pod2man.mk

# Run manually when package is updated
get-changelog:
	svn log $(URL) > $(CHANGELOG)

# See debian/manpages instead
man-old:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

override_dh_auto_install:
	install -m 755 -D $(BIN) $(BINDIR)/$(PACKAGE)

	install -m 644 -D debian/$(PACKAGE).desktop \
		$(SHAREDIR)/applications/$(PACKAGE).desktop

	install -m 644 -D debian/$(PACKAGE).svg \
		$(SHAREDIR)/icons/hicolor/scalable/apps/$(PACKAGE).svg

%:
	dh $@

# End of file

=== debian/watch ===
version=3
# NOTE: Due to rapid changes, best packaged from SVN.
http://winetricks.org/download/releases .*winetricks-([\d.]+).tgz

## winetricks 0.0%2B20140302

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE   = winetricks
CHANGELOG := $(shell pwd)/debian/upstream.changelog
URL       = http://winetricks.googlecode.com/svn/trunk
ICONDIR	  = debian/$(PACKAGE)/usr/share/$(PACKAGE)/icons/hicolor/scalable/apps

include debian/pod2man.mk

# Run manually when package is updated
get-changelog:
	cd ../upstream.svn && \
	svn log $(URL) | sed 's/ *$$//' > $(CHANGELOG)

# See debian/manpages instead
man-old:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_test:
	# Skip. These are internal tests.

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

override_dh_auto_install:
	# For use in debian/install
	install -D -m 644 debian/winetricks.svg $(ICONDIR)/winetricks.svg
%:
	dh $@

# End of file

## winetricks 0.0%2B20180217

=== debian/changelog ===
winetricks (0.0+20180217-1) unstable; urgency=medium

  * New upstream release 20180217.
  * Change to new upstream signing key.
  * d/control:
    - Depend on policykit-1 (pkexec) or kde-cli-tools (kdesu).
      Drop dependencies on gksu and kdesudo.
      Separately depend on sudo. (Closes: #885548)
    - Drop dependency on zip (not needed).
    - Alternatively depend on curl next to wget.
    - Alternatively depend on x11-utils next to zenity or kdialog.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 20 Feb 2018 16:40:14 +0100

winetricks (0.0+20171222-1) unstable; urgency=medium

  * New upstream release 20171212.
  * d/patches:
    - Drop fix-save-report-statistics-preference.patch (applied upstream).
    - Refresh patches.
  * d/control: Migrate kdebase-bin relationship to kdialog.
    Thanks to Pino Toscano <pino@debian.org> for the patch. (Closes: #885869)
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.3 (no changes needed).

 -- Jens Reyer <jre.winesim@gmail.com>  Fri, 02 Feb 2018 00:15:15 +0100

winetricks (0.0+20171018-1) unstable; urgency=medium

  * New upstream release 20171018.
  * d/patches:
    - Refresh patches.
    - Drop appdata.patch (applied upstream).
    - Add fix-save-report-statistics-preference.patch.
  * d/README.Maintainer: Improve upstream changelog instructions.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 21 Oct 2017 15:21:01 +0200

winetricks (0.0+20170823-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release 20170823.
  * d/gbp.conf: Enable pristine-tar in "gbp pull".
  * d/copyright: Update.
  * d/patches:
    - Refresh patches.
    - Add patch to use /usr/share/metainfo/ for appdata.xml.
  * d/rules: Use dpkg library to get upstream version.
  * d/README.Maintainer: Document get-changelog.
  * d/control: Update standards version.
  * d/changelog: Fix typo about upstream changelog location in previous entry.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 15 Oct 2017 22:33:12 +0200

winetricks (0.0+20170327-1) experimental; urgency=medium

  * New upstream release 20170327.
  * Add initial d/gbp.conf.
  * Bump debhelper compat level to 10.
  * Drop d/winetricks.desktop (applied upstream 20170207).
  * Drop d/winetricks.svg (applied upstream 20170207).
  * Drop d/install (all files get installed correctly by upstream now).
  * Drop d/manpages (gets installed correctly by upstream).
  * Drop unused d/winetricks.1.pod and related code.
  * Upstream changelog:
    - Move to d/upstream/.
    - Create based on git tag name.
    - Update for 20170327.
  * d/rules: Drop unused variables.
  * d/copyright:
    - Drop unnecessary or outdated comments, move to https.
    - Consistently use LGPL-2.1+ everywhere (upstream and debian).
      Upstream applied a license cleanup with all authors' consent.
    - Add myself.
  * debian/patches/:
    - Drop 10-option-gui.patch.
      "winetricks" without further options will start the GUI now.
    - Simplify remove-self-update.patch.
  * d/README.Debian:
    - Update and simplify.
  * d/control:
    - Add kdesudo as sudo alternative.
    - Add myself to uploaders.
  * Add lintian override for desktop-entry-lacks-keywords-entry.
  * Add initial d/README.Maintainer.

 -- Jens Reyer <jre.winesim@gmail.com>  Wed, 12 Apr 2017 20:32:57 +0200

winetricks (0.0+20170101-1) unstable; urgency=medium

  * Team upload.

  * New upstream release.
  * d/control,README.Debian:
    - Only depend on unversioned "wine" (Closes: #825395).
    - Drop outdated dependency on libwine.
  * d/control:
    - Add dependency on binutils (Closes: #827207).
    - Use official caption "Wine" instead of "WINE".
  * d/install:
    - Install icon and desktop file in recognized system paths
      (Closes: #846355).
  * winetricks.desktop:
    - Start winetricks with gui option.
    - Update Comment and Categories.
  * d/u/signing-key.asc:
    - Add upstream signing key.
  * d/watch:
    - Verify gpg signature of upstream release.
  * d/upstream.changelog:
    - Update.
  * debian/patches:
    - Refresh.
    - Also drop latest version check in remove-self-update.patch.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 16 Jan 2017 23:27:02 +0100

winetricks (0.0+20160425-1) unstable; urgency=medium

  * New upstream release
    - Fix download links (Closes: #822754).
  * debian/upstream.changelog
    - Update.
  * debian/README.debian
    - Update for newer versions of wine and winetricks (Closes: #810658).
  * debian/control
    - Update depends (Closes: #810658).
    - Bump Standards-Version.
    - Update Vcs-{Git,Browser} to use HTTPS.
    - Set minimum wine and wine-development version (Closes: #782680, #807045).
    - Add aria2 and tor Suggests (for aria2c and torify).
    - Replace myself with Debian Wine Party as maintainer.
    - Set myself as uploader.
    - Set Vcs-{Git,Browser} to pkg-wine instead of collab-maint.
  * debian/copyright
    - Bump year for myself.
    - Add Austin English as Upstream-Contact instead of Dan Kegel.
    - Update Source to point to GitHub.
  * debian/patches
    - Remove adobeair-sha1sum-fix.patch.
    - Refresh remaining patch.
    - Add remove-self-update.patch.

 -- Joseph Bisch <joseph.bisch@gmail.com>  Sun, 01 May 2016 12:58:24 -0400

winetricks (0.0+20151116-1) unstable; urgency=low

  * New upstream release
    - Use mktemp for temp files (Closes: #790928).
    - Update sha1sum for steam (Closes: #775546).
  * debian/control
    - Update URLs to GitHub.
    - Update depends.
  * debian/copyright
    - Update URLs to GitHub.
    - Update copyright years.
  * debian/patches
    - Remove obsolete vcrun2013 patch.
    - Refresh patches.
    - Add adobeair sha1sum fix patch (Closes: #790929).
  * debian/watch
    - Update for GitHub repo.
  * debian/upstream.changelog
    - Update.
  * debian/rules
    - Change gen-changelog to work with Git.
  * debian/README.Debian
    - Add note about wine64.

 -- Joseph Bisch <joseph.bisch@gmail.com>  Wed, 09 Dec 2015 11:19:51 -0500



## winetricks 0.0+20110402

=== debian/changelog ===
winetricks (0.0+20110402) natty; urgency=low

  * New package to help wine1.3 work (LP: #732044, #379742) 
  * Update desktop file comment

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 10 Apr 2011 14:42:27 -0700

winetricks (0.0+20110402~ppa1) maverick; urgency=low

  * New upstream release
  * Add breaks: wisotool and remove dummy package
  * Simplify debian/rules greatly
  * Satisfy some Lintian warnings
    - Native package, so no -0ubuntu1 at end
    - Bump debian standards version
    - Remove uploaders line (maintainer is sufficient)
    - Build-depend on debhelper >= 7.0.50~
    - dh_prep instead of dh_clean -k
    - add dh_compress

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 03 Apr 2011 09:10:11 -0700

winetricks (0.0+20110312-0ubuntu1~ppa1) maverick; urgency=low

  * New upstream release
  * Remove separate desktop entry for alpha

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 17 Mar 2011 06:32:27 -0700

winetricks (0.0+20110306-0ubuntu1~ppa1) maverick; urgency=low

  * New upstream release

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 09 Mar 2011 04:49:36 -0800

winetricks (0.0+20110219b-0ubuntu1~ppa2) maverick; urgency=low

  * Recommends should be satisfied by cxgames5 too
  * Add some depends
  * Recommend unrar

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 21 Feb 2011 01:33:52 -0800

winetricks (0.0+20110219b-0ubuntu1~ppa1) maverick; urgency=low

  * New upstream release
  * .desktop entry for Applications menu icons for both

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 19 Feb 2011 17:20:44 -0800

winetricks (0.0+20110123-0ubuntu1~ppa1) maverick; urgency=low

  * New upstream release
  * Create dummy wisotool package
  * Update homepage

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 04 Feb 2011 15:28:31 -0800

winetricks (0.0+20110105-0ubuntu1~ppa1) maverick; urgency=low

  * New upstream release
  * Replace/provide wisotool due to new winetricks-alpha
  * debian/rules: install winetricks-alpha as well

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 10 Jan 2011 14:31:59 -0800

winetricks (0.0+20101222-0ubuntu1~ppa1) maverick; urgency=low

  * New Upstream release

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 25 Dec 2010 03:32:22 -0800

winetricks (0.0+20101106-0ubuntu1~maverickppa1) maverick; urgency=low

  * New upstream release

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 06 Nov 2010 03:32:20 -0700

winetricks (0.0+20100917-0ubuntu1~karmicppa1) karmic; urgency=low

  * Port to Karmic

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 18 Sep 2010 17:07:20 -0700

winetricks (0.0+20100917-0ubuntu1~lucidppa1) lucid; urgency=low

  * Port to Lucid

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 18 Sep 2010 17:05:19 -0700

winetricks (0.0+20100917-0ubuntu1~maverickppa1) maverick; urgency=low

  * New upstream release

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 18 Sep 2010 17:02:19 -0700

winetricks (0.0+20100904-0ubuntu1~maverickppa1) maverick; urgency=low

  * Port to Maverick

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 09 Sep 2010 18:10:28 -0700

winetricks (0.0+20100904-0ubuntu1~karmicppa1) karmic; urgency=low

  * Port to Karmic

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 09 Sep 2010 18:09:25 -0700

winetricks (0.0+20100904-0ubuntu1~lucidppa1) lucid; urgency=low

  * New upstream version
  * Recommend wine1.2 | wine1.3 | cxoffice5 instead of just wine1.2

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 09 Sep 2010 18:06:31 -0700

winetricks (0.0+20100822-0ubuntu1) lucid; urgency=low

  * New upstream version
  * Depend on cabextract

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 24 Aug 2010 10:18:59 -0700

winetricks (0.0+20100731-0ubuntu1) lucid; urgency=low

  * New upstream version

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 31 Jul 2010 20:43:20 -0700

winetricks (0.0+20100618-0ubuntu1) lucid; urgency=low

  * New upstream version

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 19 Jun 2010 23:03:04 -0700

winetricks (0.0+20100424-0ubuntu1) lucid; urgency=low

  * Initial packaging

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 25 Apr 2010 22:51:20 -0700

=== debian/control ===
Source: winetricks
Section: otherosfs
Priority: optional
Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1

Package: winetricks
Architecture: i386 amd64
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: ${misc:Depends}, ${shlibs:Depends}, cabextract, sudo, unzip, x11-utils | zenity | kdebase-bin
Recommends: wine1.2 | wine1.3 | cxoffice5 | cxgames5, unrar
Replaces: wisotool
Breaks: wisotool (<< 0.0+20110402)
Provides: wisotool
Homepage: http://winetricks.org/
Description: Microsoft Windows Compatibility Layer (winetricks)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes a shell script that can be used to download and
 install various redistributable libraries that may be needed for some
 programs to work in Wine.

## winetricks 0.0+20110629

=== debian/changelog ===
winetricks (0.0+20110629) oneiric; urgency=low

  * New upstream minor release (LP: #861944)
    - Matches newer wine1.3 version
    - Mostly update built-in download links
  * Recommend wine1.3 before wine1.2

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 28 Sep 2011 17:16:01 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: i386 amd64
 Pre-Depends: dpkg (>= 1.14.12ubuntu3)
 Depends: ${misc:Depends}, ${shlibs:Depends}, cabextract, sudo, unzip, x11-utils | zenity | kdebase-bin
-Recommends: wine1.2 | wine1.3 | cxoffice5 | cxgames5, unrar
+Recommends: wine1.3 | wine1.2 | cxoffice5 | cxgames5, unrar
 Replaces: wisotool
 Breaks: wisotool (<< 0.0+20110402)
 Provides: wisotool

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	cp winetricks debian/winetricks/usr/bin
	# Install desktop files
	cp wine-winetricks.desktop debian/winetricks/usr/share/applications/
	# Install icon
	cp wine-winetricks.svg debian/winetricks/usr/share/icons/hicolor/scalable/apps

## winetricks 0.0+20120207+svn767

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/winetricks
Vcs-Git: git://git.debian.org/collab-maint/winetricks.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/winetricks.git;a=summary

Package: winetricks
Architecture: all
Depends: ${misc:Depends}, wget, cabextract, unzip, p7zip
Recommends: wine | wine-unstable, zenity | kdebase-bin, xdg-utils, sudo | gksu
Description: package manager for WINE to install software easily
 A POSIX shell script 'package manager' for WINE to install some
 Windows software easily. The list of downloadable applications is
 retrieved over the net. The list contains about 70 applications
 including 3dmark2001, corefonts, cygwin, directx9, dotnet35, droid,
 firefox, flash, ie8, mspaint, msxml6, python26, quicktime76, safari,
 spotify, utorrent, vb6run, vcrun2010, vlc and xvid.
 .
 To use GUI progress bar, install package "zenity". To read manuals,
 install package "xdg-utils". If you need to cache *.iso files with
 -k option, install packages "sudo" (or sudo GUI "gksu").

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= winetricks
BIN		= $(PACKAGE)

PKGDIR          = $(shell pwd)/debian/$(PACKAGE)
BINDIR          = $(PKGDIR)/usr/bin
SHAREROOTDIR	= $(PKGDIR)/usr/share
SHAREDIR        = $(SHAREROOTDIR)/$(PACKAGE)

CHANGELOG	= debian/upstream.changelog
URL		= http://winetricks.googlecode.com/svn/trunk

include debian/pod2man.mk

# Run manually when package is updated
get-changelog:
	svn log $(URL) > $(CHANGELOG)

# See debian/manpages instead
man-old:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

override_dh_auto_install:
	install -m 755 -D src/$(BIN) $(BINDIR)/$(PACKAGE)

	install -m 644 -D debian/$(PACKAGE).desktop \
		$(SHAREDIR)/applications/$(PACKAGE).desktop

	install -m 644 -D debian/$(PACKAGE).svg \
		$(SHAREDIR)/icons/hicolor/scalable/apps/$(PACKAGE).svg

%:
	dh $@

# End of file

## winetricks 0.0+20120308

=== debian/changelog ===
winetricks (0.0+20120308) precise; urgency=low

  * New upstream release (LP: #707985, #887547, #952140)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 13 Mar 2012 05:22:48 -0700

winetricks (0.0+20111115) precise; urgency=low

  * New upstream release
  * Recommend wine1.4 before other wines

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 08 Mar 2012 02:07:29 -0800

=== debian/control ===
Source: winetricks
Section: otherosfs
Priority: optional
Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2

Package: winetricks
Architecture: i386 amd64
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: ${misc:Depends}, ${shlibs:Depends}, cabextract, sudo, unzip, x11-utils | zenity | kdebase-bin
Recommends: wine1.4 | wine | cxoffice5 | cxgames5, unrar
Replaces: wisotool
Breaks: wisotool (<< 0.0+20110402)
Provides: wisotool
Homepage: http://winetricks.org/
Description: Microsoft Windows Compatibility Layer (winetricks)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes a shell script that can be used to download and
 install various redistributable libraries that may be needed for some
 programs to work in Wine.

## winetricks 0.0+20120912

=== debian/changelog ===
winetricks (0.0+20120912) quantal; urgency=low

  * New upstream release

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 13 Sep 2012 20:01:06 -0700

winetricks (0.0+20120819~precise1~ppa1) precise; urgency=low

  * Backport to Precise

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 20 Aug 2012 16:39:56 -0700

winetricks (0.0+20120819) quantal; urgency=low

  * New upstream release
  * Recommend wine1.5 first in list of wine alternatives
  * Use source format 3.0 (native)
  * Move copying logic in rules file to winetricks.install
  * Remove winetricks.dirs
  * Migrate copyright file to dep5 format

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 20 Aug 2012 16:02:30 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: i386 amd64
 Pre-Depends: dpkg (>= 1.14.12ubuntu3)
 Depends: ${misc:Depends}, ${shlibs:Depends}, cabextract, sudo, unzip, x11-utils | zenity | kdebase-bin
-Recommends: wine1.4 | wine | cxoffice5 | cxgames5, unrar
+Recommends: wine1.5 | wine1.4 | wine | cxoffice5 | cxgames5, unrar
 Replaces: wisotool
 Breaks: wisotool (<< 0.0+20110402)
 Provides: wisotool

## winetricks 0.0+20121030+svn918

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/winetricks
Vcs-Git: git://git.debian.org/collab-maint/winetricks.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/winetricks.git;a=summary

Package: winetricks
Architecture: all
Depends: ${misc:Depends}, wine | wine-unstable, wget, cabextract, unzip, p7zip
Recommends: zenity | kdebase-bin, xdg-utils, sudo | gksu
Description: package manager for WINE to install software easily
 A POSIX shell script 'package manager' for WINE to install some
 Windows software easily. The list of downloadable applications is
 retrieved over the net. The list contains about 70 applications
 including 3dmark2001, corefonts, cygwin, directx9, dotnet35, droid,
 firefox, flash, ie8, mspaint, msxml6, python26, quicktime76, safari,
 spotify, utorrent, vb6run, vcrun2010, vlc and xvid.
 .
 To use GUI progress bar, install package "zenity". To read manuals,
 install package "xdg-utils". If you need to cache *.iso files with
 -k option, install packages "sudo" (or sudo GUI "gksu").
 .
 An additional program winetricks-install-gecko can be used to install
 Mozilla Gecko.
 .
 NOTE: In case you have compiled wine from sources and installed it
 out of dpkg's control, winetricks' depends wouldn't know about it. In
 that case create a "dummy wine" package to satisfy depends by using
 tools in "equivs" package before installing winetricks. An example:
 .
   git clone git@github.com:jaalto/project--debian-wine-dummy.git
   cd project--debian-wine-dummy
   make
   dpkg -i wine*.deb
   apt-get install winetricks

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= winetricks
CHANGELOG	= debian/upstream.changelog
URL		= http://winetricks.googlecode.com/svn/trunk

include debian/pod2man.mk

# Run manually when package is updated
get-changelog:
	svn log $(URL) > $(CHANGELOG)

# See debian/manpages instead
man-old:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

override_dh_auto_install:
	# For use in debian/install
	install -m 755 src/install-gecko.sh src/winetricks-install-gecko
%:
	dh $@

# End of file

## winetricks 0.0+20130702+svn1032

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/winetricks
-Vcs-Git: git://git.debian.org/collab-maint/winetricks.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/winetricks.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/winetricks.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/winetricks.git;a=summary
 
 Package: winetricks
 Architecture: all
-Depends: ${misc:Depends}, wine | wine-unstable, wget, cabextract, unzip, p7zip
+Multi-Arch: foreign
+Depends: ${misc:Depends}, wine | wine-unstable, cabextract, p7zip, unzip, wget, zip
 Recommends: zenity | kdebase-bin, xdg-utils, sudo | gksu
+Suggests: libwine
 Description: package manager for WINE to install software easily
  A POSIX shell script 'package manager' for WINE to install some
  Windows software easily. The list of downloadable applications is
@@ -25,8 +27,9 @@
  install package "xdg-utils". If you need to cache *.iso files with
  -k option, install packages "sudo" (or sudo GUI "gksu").
  .
- An additional program winetricks-install-gecko can be used to install
- Mozilla Gecko.
+ NOTE: This package suggests installing package libwine. Some, but not
+ all package downloads depend on resarting the wineserver which is 
+ included in libwine.
  .
  NOTE: In case you have compiled wine from sources and installed it
  out of dpkg's control, winetricks' depends wouldn't know about it. In

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE   = winetricks
CHANGELOG = debian/upstream.changelog
URL       = http://winetricks.googlecode.com/svn/trunk
ICONDIR	  = debian/$(PACKAGE)/usr/share/$(PACKAGE)/icons/hicolor/scalable/apps

include debian/pod2man.mk

# Run manually when package is updated
get-changelog:
	svn log $(URL) > $(CHANGELOG)

# See debian/manpages instead
man-old:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_test:
	# Skip. These are internal tests.

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

override_dh_auto_install:
	# For use in debian/install
	install -D -m 644 debian/winetricks.svg $(ICONDIR)/winetricks.svg
%:
	dh $@

# End of file

## winetricks 0.0+20140302

=== Makefile ===
--- 
+++ 
@@ -73,40 +73,9 @@
 	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
 	echo ''
 	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
-	# Check all script dependencies before starting tests:
-	echo "Checking dependencies.."
-	sh ./src/linkcheck.sh check-deps || exit 1
-	sh ./tests/winetricks-test check-deps || exit 1
-	echo "Running tests"
-	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test quick
-
-test:
-	echo 'This verifies that most DLL verbs, plus flash and dotnet, install ok.'
-	echo 'It also makes sure that all URLs in winetricks work, so a fast uncapped internet connection is needed.'
-	echo 'It should take about an hour to run with a fast connection.'
-	echo 'If you want to test a particular version of wine, do e.g.'
-	echo 'export WINE=$$HOME/wine-git/wine first.'
-	echo 'On 64 bit systems, you probably want export WINEARCH=win32.'
-	echo 'Winetricks does not work completely in non-English locales.'
 	echo ''
-	echo 'Current Environment:'
-	echo 'DISPLAY is currently "$(DISPLAY)".'
-	echo 'LANG is currently "$(LANG)".'
-	echo 'WINEARCH is currently "$(WINEARCH)".'
-	echo 'WINE is currently "$(WINE)".'
-	echo 'XAUTHORITY is currently "$(XAUTHORITY)".'
-	echo ''
-	echo 'If running this as part of debuild, you might need to use'
-	echo 'debuild --preserve-envvar=LANG --preserve-envvar=WINE --preserve-envvar=WINEARCH --preserve-envvar=DISPLAY --preserve-envvar=XAUTHORITY'
-	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
-	echo ''
-	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
-	# Check all script dependencies before starting tests:
-	echo "Checking dependencies.."
-	sh ./src/linkcheck.sh check-deps || exit 1
-	sh ./tests/winetricks-test check-deps || exit 1
-	echo "Running tests"
+	echo 'But first, check hardcoded urls in winetricks.  Takes 10 minutes.'
 	rm -rf src/links.d; cd src; sh linkcheck.sh crawl
 	echo 'And now, the one hour run check.'
-	if test ! -z "$(XDG_CACHE_HOME)" ; then rm -rf $(XDG_CACHE_HOME)/winetricks ; else rm -rf $(HOME)/.cache/winetricks ; fi
-	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test full
+	rm -rf ~/winetrickstest-prefixes
+	cd src; sh ../tests/winetricks-test quick

=== debian/changelog ===
winetricks (0.0+20140302-0ubuntu2) trusty; urgency=medium

  * debian/install:
    - Install the winetricks .desktop file to /usr/share/applications
    - Install the winetricks icon to /usr/share/icons/hicolor/scalable/apps

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 13 Apr 2014 11:44:17 -0700

winetricks (0.0+20140302-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Drop debian disable-gui patch (LP: #1244016)
  * debian/control:
    - Set self to maintainer
    - Recommend "wine" instead of depending on it (and other debian alternatives)
    - Do not suggest libwine
    - Revert description to original PPA one

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 21 Mar 2014 13:27:47 -0700

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
XSBC-Original-Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/winetricks
Vcs-Git: git://anonscm.debian.org/collab-maint/winetricks.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/winetricks.git;a=summary

Package: winetricks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cabextract, p7zip, unzip, wget, zip
Recommends: zenity | kdebase-bin, xdg-utils, sudo | gksu, wine
Description:  Microsoft Windows Compatibility Layer (winetricks)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes a shell script that can be used to download and
 install various redistributable libraries that may be needed for some
 programs to work in Wine.

=== debian/watch ===
version=3
# NOTE: Updated often. See upstream version control
opts="uversionmangle=s/^/0.0+/" \
http://winetricks.org/download/releases .*winetricks-([\d.]+).tgz

## winetricks 0.0+20141009+svn1208

=== Makefile ===
--- 
+++ 
@@ -53,7 +53,16 @@
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
 	$(INSTALL_DATA) src/winetricks.1 $(DESTDIR)$(PREFIX)/share/man/man1/winetricks.1
 
-check:
+
+$(HOME)/winetricks-preload-cache:
+	echo 'This is a manual step that only has to be done once.'
+	echo 'You will be asked to download a few things and drag them into folders,'
+	echo 'and then make will fail.  Do the downloads/drags, then rerun Make.'
+	echo 'You will not be prompted for this step again, so get it right first time,'
+	echo 'or remove the directory ~/winetricks-preload-cache to retry.'
+	cd src; sh ../tests/winetricks-test preload
+
+check: $(HOME)/winetricks-preload-cache
 	echo 'This verifies that most DLL verbs, plus flash, install ok.'
 	echo 'It should take about an hour to run with a fast connection.'
 	echo 'If you want to test a particular version of wine, do e.g.'

=== debian/changelog ===
winetricks (0.0+20141009+svn1208-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable. (LP: #1393145) Remaining changes:
    - debian/control:
      + Move wine* from Depends to Recommends.
      + Do not suggest libwine.
    - debian/install:
      + Fix install path for .desktop and .svg file.
    - debian/patches/10-option-gui.patch:
      + Dropped to get start with GUI worked.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 24 Jun 2015 19:37:08 +0200

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
XSBC-Original-Maintainer: Joseph Bisch <joseph.bisch@gmail.com>
Build-Depends:
 debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/winetricks
Vcs-Git: git://anonscm.debian.org/collab-maint/winetricks.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/winetricks.git/

Package: winetricks
Architecture: all
Multi-Arch: foreign
Depends:
 cabextract,
 p7zip,
 unzip,
 wget,
 zip,
 ${misc:Depends}
Recommends:
 sudo | gksu,
 xdg-utils,
 wine,
 zenity | kdebase-bin
Description:  Microsoft Windows Compatibility Layer (winetricks)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes a shell script that can be used to download and
 install various redistributable libraries that may be needed for some
 programs to work in Wine.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE   = winetricks
CHANGELOG := $(shell pwd)/debian/upstream.changelog
URL       = http://winetricks.googlecode.com/svn/trunk
ICONDIR	  = debian/$(PACKAGE)/usr/share/$(PACKAGE)/icons/hicolor/scalable/apps

include debian/pod2man.mk

# Run manually when package is updated
get-changelog:
	cd ../upstream.svn && \
	svn log $(URL) | sed 's/ *$$//' > $(CHANGELOG)

# See debian/manpages instead
man-old:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_test:
	# Skip. These are internal tests.

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

%:
	dh $@

# End of file

=== debian/watch ===
version=3
opts="dversionmangle=s/.*svn//" \
http://code.google.com/p/winetricks/source/list detail\?r=(\d+)

## winetricks 0.0+20151110

=== Makefile ===
--- 
+++ 
@@ -53,16 +53,7 @@
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
 	$(INSTALL_DATA) src/winetricks.1 $(DESTDIR)$(PREFIX)/share/man/man1/winetricks.1
 
-
-$(HOME)/winetricks-preload-cache:
-	echo 'This is a manual step that only has to be done once.'
-	echo 'You will be asked to download a few things and drag them into folders,'
-	echo 'and then make will fail.  Do the downloads/drags, then rerun Make.'
-	echo 'You will not be prompted for this step again, so get it right first time,'
-	echo 'or remove the directory ~/winetricks-preload-cache to retry.'
-	cd src; sh ../tests/winetricks-test preload
-
-check: $(HOME)/winetricks-preload-cache
+check:
 	echo 'This verifies that most DLL verbs, plus flash, install ok.'
 	echo 'It should take about an hour to run with a fast connection.'
 	echo 'If you want to test a particular version of wine, do e.g.'
@@ -82,9 +73,30 @@
 	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
 	echo ''
 	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
+	cd src; sh ../tests/winetricks-test quick
+
+test:
+	echo 'This verifies that most DLL verbs, plus flash and dotnet, install ok.'
+	echo 'It also makes sure that all URLs in winetricks work, so a fast uncapped internet connection is needed.'
+	echo 'It should take about an hour to run with a fast connection.'
+	echo 'If you want to test a particular version of wine, do e.g.'
+	echo 'export WINE=$$HOME/wine-git/wine first.'
+	echo 'On 64 bit systems, you probably want export WINEARCH=win32.'
+	echo 'Winetricks does not work completely in non-English locales.'
 	echo ''
-	echo 'But first, check hardcoded urls in winetricks.  Takes 10 minutes.'
+	echo 'Current Environment:'
+	echo 'DISPLAY is currently "$(DISPLAY)".'
+	echo 'LANG is currently "$(LANG)".'
+	echo 'WINEARCH is currently "$(WINEARCH)".'
+	echo 'WINE is currently "$(WINE)".'
+	echo 'XAUTHORITY is currently "$(XAUTHORITY)".'
+	echo ''
+	echo 'If running this as part of debuild, you might need to use'
+	echo 'debuild --preserve-envvar=LANG --preserve-envvar=WINE --preserve-envvar=WINEARCH --preserve-envvar=DISPLAY --preserve-envvar=XAUTHORITY'
+	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
+	echo ''
+	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
 	rm -rf src/links.d; cd src; sh linkcheck.sh crawl
 	echo 'And now, the one hour run check.'
-	rm -rf ~/winetrickstest-prefixes
-	cd src; sh ../tests/winetricks-test quick
+	if test ! -z "$(XDG_CACHE_HOME)" ; then rm -rf $(XDG_CACHE_HOME)/winetricks ; else rm -rf $(HOME)/.cache/winetricks ; fi
+	cd src; sh ../tests/winetricks-test full

=== debian/changelog ===
winetricks (0.0+20151110-0mx150+1) mx; urgency=low

  * New upstream Release. All changes can be found at
    https://github.com/Winetricks/winetricks/commits/master

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Sat, 14 Nov 2015 10:40:17 -0500

winetricks (0.0+20150401) UNRELEASED; urgency=low

  * Dummy entry. All changes can be found at
    https://github.com/Winetricks/winetricks/commits/master

 -- Michael Müller <michael@fds-team.de>  Wed, 01 Apr 2015 23:27:42 +0200

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Dan Kegel <dank@kegel.com>
Standards-Version: 3.8.1
Build-Depends: debhelper,
        devscripts

Package: winetricks
Section: contrib/otherosfs
Architecture: all
Homepage: http://winetricks.org
Depends: cabextract,
        p7zip,
        unzip,
        wget,
	zenity | kdebase-bin
Recommends: xdg-utils,
        sudo | gksu,
        wine
Description: Simple tool to work around common problems in Wine.
 Winetricks has a menu of supported games/apps for which it can do all the
 workarounds automatically. It also lets you install missing DLLs or
 tweak various Wine settings individually.
 It can be used via gui or commandline, whichever you prefer; the
 commandline mode is particularly useful as a building block in fancier
 wine frontends and in automated regression testing.

## winetricks 0.0+20160425

=== debian/changelog ===
winetricks (0.0+20160425-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control:
      + Move wine* from Depends to Recommends.
      + Do not suggest libwine.
    - debian/install:
      + Fix install path for .desktop and .svg file.
    - debian/patches/10-option-gui.patch:
      + Dropped so that winetricks with no arguments displays a GUI.

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 23 May 2016 22:31:09 +0200

=== debian/control ===
Source: winetricks
Section: contrib/otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Uploaders:
 Joseph Bisch <joseph.bisch@gmail.com>
Build-Depends:
 debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://github.com/Winetricks/winetricks
Vcs-Git: https://anonscm.debian.org/git/pkg-wine/winetricks.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-wine/winetricks.git

Package: winetricks
Architecture: all
Multi-Arch: foreign
Depends:
 cabextract,
 p7zip,
 unzip,
 wget,
 zip,
 ${misc:Depends}
Recommends:
 sudo | gksu,
 xdg-utils,
 wine,
 zenity | kdebase-bin
Suggests:
 aria2,
 tor
Description: package manager for WINE to install software easily
 A POSIX shell script 'package manager' for WINE to install some
 Windows software easily. The list contains about 70 applications
 including 3dmark2001, corefonts, cygwin, directx9, dotnet35, droid,
 firefox, flash, ie8, mspaint, msxml6, python26, quicktime76, safari,
 spotify, utorrent, vb6run, vcrun2010, vlc, xvid etc.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/winetricks-$1\.tar\.gz/,\
dversionmangle=s/^\d*\.\d*\+// \
  https://github.com/Winetricks/winetricks/tags .*/v?(\d\S*)\.tar\.gz

## winetricks 0.0+20160724

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for winetricks - a script for working around common problems in wine
 #
-# Copyright (C) 2013 Dan Kegel.  See also copyright notice in src/winetricks.
+# Copyright (C) 2013 Dan Kegel
+# Copyright (C) 2015-2016 Austin English
+# See also copyright notice in src/winetricks.
 #
 # winetricks comes with ABSOLUTELY NO WARRANTY.
 #
@@ -43,7 +45,7 @@
 	sed --in-place 's,[ \t]\+$$,,' $$(find $(SOURCES) -type f)
 
 dist: clean $(SOURCES)
-	tar --exclude='*.patch' --exclude=measurements --exclude=.svn \
+	tar --exclude='*.patch' --exclude=measurements --exclude=.git \
 		--exclude-backups \
 		-czvf winetricks-$(version).tar.gz $(SOURCES)
 
@@ -73,7 +75,12 @@
 	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
 	echo ''
 	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
-	cd src; sh ../tests/winetricks-test quick
+	# Check all script dependencies before starting tests:
+	echo "Checking dependencies.."
+	sh ./src/linkcheck.sh check-deps || exit 1
+	sh ./tests/winetricks-test check-deps || exit 1
+	echo "Running tests"
+	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test quick
 
 test:
 	echo 'This verifies that most DLL verbs, plus flash and dotnet, install ok.'
@@ -96,7 +103,12 @@
 	echo 'To suppress tests in debuild, export DEB_BUILD_OPTIONS=nocheck'
 	echo ''
 	echo 'FIXME: this should kill stray wine processes before and after, but some leak through, you might need to kill them.'
+	# Check all script dependencies before starting tests:
+	echo "Checking dependencies.."
+	sh ./src/linkcheck.sh check-deps || exit 1
+	sh ./tests/winetricks-test check-deps || exit 1
+	echo "Running tests"
 	rm -rf src/links.d; cd src; sh linkcheck.sh crawl
 	echo 'And now, the one hour run check.'
 	if test ! -z "$(XDG_CACHE_HOME)" ; then rm -rf $(XDG_CACHE_HOME)/winetricks ; else rm -rf $(HOME)/.cache/winetricks ; fi
-	cd src; sh ../tests/winetricks-test full
+	cd src; if test -z "$(WINEARCH)" ; then export WINEARCH=win32 ; fi ; sh ../tests/winetricks-test full

=== debian/changelog ===
winetricks (0.0+20160724-0mx150+1) mx; urgency=low

  * New upstream release

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Thu, 15 Sep 2016 08:57:27 -0400
